import { z } from "zod"

export const paymentSchema = z.object({
  paymentMethod: z.string().nullable(),
  termsAndConditions: z.boolean().refine((value) => value === true, {
    message: "You must accept the terms and conditions",
  }),
})

export interface GuaranteeFormData extends z.output<typeof paymentSchema> {}
